#include "util.h"

std::shared_ptr<spdlog::logger> get_logger(const std::string& mark, const std::string& log_file)
{
    auto file_sink = std::make_shared<spdlog::sinks::rotating_file_sink_mt>(log_file, 1024 * 50, 3);
    auto console_sink = std::make_shared<spdlog::sinks::stdout_color_sink_mt>();
    file_sink->set_pattern("[%Y-%m-%d %H:%M:%S.%e][%l]: %v");
    console_sink->set_pattern("[%Y-%m-%d %H:%M:%S.%e][%l]: %v");
    std::vector<spdlog::sink_ptr> sinks{file_sink, console_sink};
    auto logger = std::make_shared<spdlog::logger>(mark, sinks.begin(), sinks.end());
    logger->set_level(spdlog::level::info);
    spdlog::register_logger(logger);
    return logger;
}